classification
Title: Failed separate ServerProxyTestCase tests in test_xmlrpc
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 16:02 by serhiy.storchaka, last changed 2018-06-05 16:56 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7362 merged serhiy.storchaka, 2018-06-03 19:06
PR 7371 merged miss-islington, 2018-06-04 02:57
PR 7374 merged serhiy.storchaka, 2018-06-04 03:07
PR 7375 merged serhiy.storchaka, 2018-06-04 03:09
Messages (5)
msg318565 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 16:02
$ ./python -m test -v -m ServerProxyTestCase test_xmlrpc
...
======================================================================
ERROR: test_close (test.test_xmlrpc.ServerProxyTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/serhiy/py/cpython/Lib/test/test_xmlrpc.py", line 1181, in test_close
    p = xmlrpclib.ServerProxy(self.url)
  File "/home/serhiy/py/cpython/Lib/xmlrpc/client.py", line 1416, in __init__
    type, uri = urllib.parse._splittype(uri)
  File "/home/serhiy/py/cpython/Lib/urllib/parse.py", line 967, in _splittype
    match = _typeprog.match(url)
TypeError: expected string or bytes-like object

======================================================================
ERROR: test_transport (test.test_xmlrpc.ServerProxyTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/serhiy/py/cpython/Lib/test/test_xmlrpc.py", line 1186, in test_transport
    p = xmlrpclib.ServerProxy(self.url, transport=t)
  File "/home/serhiy/py/cpython/Lib/xmlrpc/client.py", line 1416, in __init__
    type, uri = urllib.parse._splittype(uri)
  File "/home/serhiy/py/cpython/Lib/urllib/parse.py", line 967, in _splittype
    match = _typeprog.match(url)
TypeError: expected string or bytes-like object

----------------------------------------------------------------------
msg318605 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-04 02:55
New changeset 7cfd8c6a1b53a7dbdea14b6f414f2629dcd130a2 by Ned Deily (Serhiy Storchaka) in branch 'master':
bpo-33759: Fix test.test_xmlrpc.ServerProxyTestCase. (GH-7362)
https://github.com/python/cpython/commit/7cfd8c6a1b53a7dbdea14b6f414f2629dcd130a2
msg318609 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-04 03:16
New changeset 7453caedbb42dd16e069dd08009f0317f7a9abc9 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-33759: Fix test.test_xmlrpc.ServerProxyTestCase. (GH-7362) (GH-7371)
https://github.com/python/cpython/commit/7453caedbb42dd16e069dd08009f0317f7a9abc9
msg318611 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-04 03:36
New changeset 2e601c54d9d5f03f1fe1f7b4a1f2cb8e843fdeae by Ned Deily (Serhiy Storchaka) in branch '3.6':
[3.6] bpo-33759: Fix test.test_xmlrpc.ServerProxyTestCase. (GH-7362) (GH-7375)
https://github.com/python/cpython/commit/2e601c54d9d5f03f1fe1f7b4a1f2cb8e843fdeae
msg318613 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-04 03:39
New changeset 93ba6da27eed980600a874dfeffb2856fe1d4126 by Ned Deily (Serhiy Storchaka) in branch '2.7':
[2.7] bpo-33759: Fix test.test_xmlrpc.ServerProxyTestCase. (GH-7362) (GH-7374)
https://github.com/python/cpython/commit/93ba6da27eed980600a874dfeffb2856fe1d4126
History
Date User Action Args
2018-06-05 16:56:05serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-04 03:39:02ned.deilysetmessages: + msg318613
2018-06-04 03:36:18ned.deilysetmessages: + msg318611
2018-06-04 03:16:51ned.deilysetmessages: + msg318609
2018-06-04 03:09:34serhiy.storchakasetpull_requests: + pull_request7002
2018-06-04 03:07:12serhiy.storchakasetpull_requests: + pull_request7001
2018-06-04 02:57:08miss-islingtonsetpull_requests: + pull_request6998
2018-06-04 02:55:35ned.deilysetnosy: + ned.deily
messages: + msg318605
2018-06-03 19:06:47serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request6989
2018-06-03 16:02:51serhiy.storchakacreate